DSXFR_PUT_MULTI(3)

FUNCTION
dsxfr_put_multi - Write a multi_array data structure.

SYNOPSIS
#include <karma_dsxfr.h>

flag dsxfr_put_multi

(CONST char *object, multi_array *multi_desc)

DESCRIPTION
This routine will put (write to disc, transmit over connection) a multi_desc general data structure to a named object.

object
    The object name. If the object is named "connections" then the data will be transmitted to all available connections with the "multi_array" protocol. If the object is named "connections:{module_name}" then the data will be transmitted to all available connections to modules with the name {module_name} and with the "multi_array" protocol. If the object is named "connections:!<<module_name>>" then the data will be transmitted to all available connections with the "multi_array" protocol to all modules except those with the name <<module_name>>. If the object is named "connection[#]" then the data will be transmitted to the "multi_array" protocol connection with index: If the object is named "<<filename>>_connection" then the data will be transmitted to all available connections with the "multi_array" protocol. In all other cases the data will be written to a disc file. The routine will append a ".kf" extension if not already specified. If the disc file already exists, the old data file is first renamed to have a trailing '~' (tilde) character.

multi_desc
    A pointer to the data structure.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/